curl --request POST \
--url https://api.vomo.org/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [
{
"id": 1
}
],
"campaigns": [
{
"id": 1
}
],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch('https://api.vomo.org/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/projects"
payload = {
"name": "Community Gathering",
"description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
"allow_guests": 1,
"age_limit": 13,
"participant_approval_required": 1,
"show_volunteer_counter": 1,
"volunteer_counter_threshold": 10,
"privacy": "PUBLIC",
"owners": [
{
"id": 1,
"is_primary_owner": 1,
"send_notifications": 1
}
],
"address": {
"lat": 33.214561,
"lng": -96.614456,
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St Suite 800, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"details": "Wear comfortable shoes!",
"volunteer_question": "What is your t-shirt size?",
"background_check_required": 1,
"draft": 0,
"organization_id": 1,
"images": [
{
"l": "https://assets.vomo.org/categories/animals/Animals.jpg",
"s": "https://assets.vomo.org/categories/animals/Animals+small.jpg",
"o": "https://assets.vomo.org/categories/animals/Animals.jpg"
}
],
"point_person": {
"name": "John Volunteer",
"phone": "5555555555",
"email": "volunteer@vomo.org"
},
"categories": [{ "id": 1 }],
"campaigns": [{ "id": 1 }],
"attachment_files": [
{
"file": "<string>",
"filename": "<string>"
}
],
"links": [
{
"title": "Go here for more information",
"link": "https://vomo.org"
}
],
"project_type": "dated",
"dates": [
{
"id": "123",
"starts_at": "2020-01-01 09:00:00",
"ends_at": "2020-01-01 12:00:00",
"status": "existing",
"roles": [
{
"id": "123",
"name": "Greeter",
"description": "A cheery person for greeting guests as they come in.",
"capacity": 2
}
],
"items": [
{
"id": "123",
"name": "Bottled Water",
"description": "A case of 24",
"capacity": 10
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/projects");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"Community Gathering\",\n \"description\": \"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.\",\n \"allow_guests\": 1,\n \"age_limit\": 13,\n \"participant_approval_required\": 1,\n \"show_volunteer_counter\": 1,\n \"volunteer_counter_threshold\": 10,\n \"privacy\": \"PUBLIC\",\n \"owners\": [\n {\n \"id\": 1,\n \"is_primary_owner\": 1,\n \"send_notifications\": 1\n }\n ],\n \"address\": {\n \"lat\": 33.214561,\n \"lng\": -96.614456,\n \"country\": \"United States\",\n \"locality\": \"McKinney\",\n \"timezone\": \"America/Chicago\",\n \"postal_code\": \"75069\",\n \"country_short\": \"US\",\n \"locality_short\": \"McKinney\",\n \"formatted_address\": \"610 Elm St Suite 800, McKinney, TX 75069, USA\",\n \"postal_code_short\": \"75069\",\n \"administrative_area_level_1\": \"Texas\",\n \"administrative_area_level_1_short\": \"TX\"\n },\n \"details\": \"Wear comfortable shoes!\",\n \"volunteer_question\": \"What is your t-shirt size?\",\n \"background_check_required\": 1,\n \"draft\": 0,\n \"organization_id\": 1,\n \"images\": [\n {\n \"l\": \"https://assets.vomo.org/categories/animals/Animals.jpg\",\n \"s\": \"https://assets.vomo.org/categories/animals/Animals+small.jpg\",\n \"o\": \"https://assets.vomo.org/categories/animals/Animals.jpg\"\n }\n ],\n \"point_person\": {\n \"name\": \"John Volunteer\",\n \"phone\": \"5555555555\",\n \"email\": \"volunteer@vomo.org\"\n },\n \"categories\": [\n {\n \"id\": 1\n }\n ],\n \"campaigns\": [\n {\n \"id\": 1\n }\n ],\n \"attachment_files\": [\n {\n \"file\": \"<string>\",\n \"filename\": \"<string>\"\n }\n ],\n \"links\": [\n {\n \"title\": \"Go here for more information\",\n \"link\": \"https://vomo.org\"\n }\n ],\n \"project_type\": \"dated\",\n \"dates\": [\n {\n \"id\": \"123\",\n \"starts_at\": \"2020-01-01 09:00:00\",\n \"ends_at\": \"2020-01-01 12:00:00\",\n \"status\": \"existing\",\n \"roles\": [\n {\n \"id\": \"123\",\n \"name\": \"Greeter\",\n \"description\": \"A cheery person for greeting guests as they come in.\",\n \"capacity\": 2\n }\n ],\n \"items\": [\n {\n \"id\": \"123\",\n \"name\": \"Bottled Water\",\n \"description\": \"A case of 24\",\n \"capacity\": 10\n }\n ]\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.vomo.org/v1/projects';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Community Gathering',
description: 'Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.',
allow_guests: 1,
age_limit: 13,
participant_approval_required: 1,
show_volunteer_counter: 1,
volunteer_counter_threshold: 10,
privacy: 'PUBLIC',
owners: [{id: 1, is_primary_owner: 1, send_notifications: 1}],
address: {
lat: 33.214561,
lng: -96.614456,
country: 'United States',
locality: 'McKinney',
timezone: 'America/Chicago',
postal_code: '75069',
country_short: 'US',
locality_short: 'McKinney',
formatted_address: '610 Elm St Suite 800, McKinney, TX 75069, USA',
postal_code_short: '75069',
administrative_area_level_1: 'Texas',
administrative_area_level_1_short: 'TX'
},
details: 'Wear comfortable shoes!',
volunteer_question: 'What is your t-shirt size?',
background_check_required: 1,
draft: 0,
organization_id: 1,
images: [
{
l: 'https://assets.vomo.org/categories/animals/Animals.jpg',
s: 'https://assets.vomo.org/categories/animals/Animals+small.jpg',
o: 'https://assets.vomo.org/categories/animals/Animals.jpg'
}
],
point_person: {name: 'John Volunteer', phone: '5555555555', email: 'volunteer@vomo.org'},
categories: [{id: 1}],
campaigns: [{id: 1}],
attachment_files: [{file: '<string>', filename: '<string>'}],
links: [{title: 'Go here for more information', link: 'https://vomo.org'}],
project_type: 'dated',
dates: [
{
id: '123',
starts_at: '2020-01-01 09:00:00',
ends_at: '2020-01-01 12:00:00',
status: 'existing',
roles: [
{
id: '123',
name: 'Greeter',
description: 'A cheery person for greeting guests as they come in.',
capacity: 2
}
],
items: [{id: '123', name: 'Bottled Water', description: 'A case of 24', capacity: 10}]
}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"code": 201,
"message": "Project created.",
"data": {
"type": "project",
"id": "4003",
"project_name": "Holiday Gift Drive",
"description": "Wrap and distribute holiday gifts to children in need.",
"details": "Please arrive 10 minutes early for orientation.",
"url": "https://app.vomo.org/opportunity/holiday-gift-drive",
"organization_id": 50,
"organization": "Riverside Hope Foundation",
"organization_slug": "riverside-hope",
"author_id": 7903,
"owners": [
{
"id": 7903,
"is_primary_owner": true,
"send_notifications": true
}
],
"address": {
"lat": "33.214561",
"lng": "-96.614456",
"country": "United States",
"locality": "McKinney",
"timezone": "America/Chicago",
"postal_code": "75069",
"country_short": "US",
"locality_short": "McKinney",
"formatted_address": "610 Elm St, McKinney, TX 75069, USA",
"postal_code_short": "75069",
"administrative_area_level_1": "Texas",
"administrative_area_level_1_short": "TX"
},
"anytime": 0,
"anywhere": 0,
"draft": false,
"created_at": "2025-11-18T10:00:00+00:00",
"updated_at": "2025-11-18T10:00:00+00:00",
"published_at": "2025-11-18T10:00:00+00:00",
"campaigns": [],
"certificates": [],
"form_completions": [],
"next_date": {
"type": "project_date",
"id": 40003,
"starts_at": "2025-12-13T09:00:00+00:00",
"ends_at": "2025-12-13T13:00:00+00:00",
"participant_count": 0
},
"images": [],
"point_person": {
"name": "Priya Sharma",
"phone": "(555) 012-0103",
"email": "priya.sharma@example.org"
},
"allow_guests": true,
"age_limit": 12,
"volunteer_question": null,
"participant_approval_required": false,
"background_check_required": false,
"show_volunteer_counter": false,
"volunteer_counter_threshold": 0,
"privacy": "PUBLIC",
"all_dates": [
{
"type": "project_date",
"id": 40003,
"starts_at": "2025-12-13T09:00:00+00:00",
"ends_at": "2025-12-13T13:00:00+00:00",
"participant_count": 0
}
]
}
}{
"error": {
"code": 401,
"message": "No API key provided"
}
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
],
"address.timezone": [
"The address.timezone field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Create a Project
Creates a new volunteer project (opportunity) for your organization. Required fields are name, description, age_limit, privacy, allow_guests, participant_approval_required, and address (including address.timezone). Provide a dates array of serving dates for scheduled (‘dated’) projects; volunteer_question, campaigns, links, and point_person are optional. A project’s type (‘dated’ vs ‘anytime’) cannot be changed after creation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Project to create
Request body for creating or updating a project.
The name of the project
"Community Gathering"
A description for the project
"Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc."
Whether to allow volunteers to bring guests
1
The minimum age a volunteer must be
0 <= x <= 9913
Volunteers must be approved by the organizer before their spot is reserved.
1
Display number of participants. Note that this will only show on the project page if it is an Anytime project
1
The minimum number of volunteers signed up before the counter is shown. Note that this will only show on the project page if it is an Anytime project
0 <= x <= 99999910
The visibility of the project. Possible values: PUBLIC — accessible by all VOMO users; PRIVATE — accessible only by members of the organization (those in the People list); UNLISTED — not listed publicly but accessible via direct link.
PUBLIC, PRIVATE, UNLISTED "PUBLIC"
Show child attributes
Show child attributes
The address where the project will take place. The format used is the standard Google address API. Only timezone is required; all other fields are optional.
Show child attributes
Show child attributes
Emphasize important details such as shoes to wear or items to bring. This information goes in the signup confirmation email, and is a great place to detail next steps in a Project
"Wear comfortable shoes!"
Ask your volunteers to provide additional information about themselves as they register. This field will be required to join the Serving Date.
"What is your t-shirt size?"
Volunteers must have a background check before signing up for your Project.
1
When a project is in draft, it will not be viewable by anyone.
0
The Organization ID to post the project to. Note, you must be part of the organization to post a project to it.
1
Show child attributes
Show child attributes
Identify a person to contact or meet on the day of the Project. This contact info goes in the signup confirmation email, but this person does not receive notifications.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A list of existing campaigns to associate with the project. For organizations without a hub experience, at least one campaign is required; otherwise this is optional.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The scheduling type for the project. Cannot be changed after a project has been created. Possible values: dated — the project has specific dates and times when volunteers are needed; anytime — volunteers can participate at any time, with no fixed schedule.
dated, anytime "dated"
Show child attributes
Show child attributes
Was this page helpful?